package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.ObjEngMapper;
import com.goldenwater.slaj.hidd.domain.ObjEng;
import com.goldenwater.slaj.hidd.service.IObjEngService;

/**
 * 工程信息 服务层实现
 */
@Service
public class ObjEngServiceImpl implements IObjEngService {

    @Autowired
    private ObjEngMapper objEngMapper;

    /**
     * 查询工程信息信息
     * @param guid 查询条件
     * @return 工程信息信息
     */
    @Override
    public ObjEng selectObjEngByGuid(String guid) {
        return objEngMapper.selectObjEngByGuid(guid);
    }

    /**
     * 查询工程信息列表
     * @param objEng 工程信息查询条件
     * @return 工程信息集合
     */
    @Override
    public List<ObjEng> selectObjEngList(ObjEng objEng) {
        return objEngMapper.selectObjEngList(objEng);
    }

    /**
     * 新增工程信息
     * @param objEng 工程信息信息
     * @return 影响行数
     */
    @Override
    public int insertObjEng(ObjEng objEng) {
        return objEngMapper.insertObjEng(objEng);
    }

    /**
     * 修改工程信息
     * @param objEng 工程信息信息
     * @return 影响行数
     */
    @Override
    public int updateObjEng(ObjEng objEng) {
        return objEngMapper.updateObjEng(objEng);
    }

    /**
     * 删除工程信息
     * @param guid 工程信息主键
     * @return 影响行数
     */
    @Override
    public int deleteObjEngByGuid(String guid) {
        return objEngMapper.deleteObjEngByGuid(guid);
    }

    /**
     * 批量删除工程信息
     * @param guids 工程信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjEngByGuids(String[] guids) {
        return objEngMapper.deleteObjEngByGuids(guids);
    }
}
